Bug 998527 - OS Installer Support for LVM Thin Provisioning
Summary: OS Installer Support for LVM Thin Provisioning
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Cotton
QA Contact:
URL:
Whiteboard: ChangeAcceptedF20
Depends On:
Blocks: 998532 1008211 1008212 1021570
TreeView+ depends on / blocked
 
Reported: 2013-08-19 13:30 UTC by Jaroslav Reznik
Modified: 2018-08-10 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1008211 1008212 1021570 (view as bug list)
Environment:
Last Closed: 2018-08-10 12:17:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jaroslav Reznik 2013-08-19 13:30:31 UTC
This is a tracking bug for Change: OS Installer Support for LVM Thin Provisioning
For more details, see: http://fedoraproject.org//wiki/Changes/InstallerLVMThinProvisioningSupport

LVM has introduced thin provisioning technology, which provides greatly improved snapshot functionality in addition to thin provisioning capability. This change will make it possible to configure thin provisioning during OS installation.

Comment 1 David Lehman 2013-08-27 15:28:33 UTC
The only missing piece is a way to select a usage profile in anaconda. You specify metadata size and chunk size via kickstart. The bug to add profiles to lvm2 for common thinp usage patterns is bug 958464.

Comment 2 Jaroslav Reznik 2013-10-11 08:45:46 UTC
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule

Comment 3 Jaroslav Reznik 2013-10-21 14:13:43 UTC
I see 958464 in POST state but probably without profiles. Is it acceptable to consider this Change completed without it or not? FESCo asked me to finish review of Changes this week. Thanks.

Comment 4 Adam Williamson 2013-12-13 20:53:20 UTC
Unfortunately this feature got torpedoed by a bad late change to dracut (not anaconda's fault at all). See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1040669 . We need to manage this, as best we can, in release messaging.

Comment 5 Jaroslav Reznik 2013-12-16 14:02:06 UTC
Docs guys were notified, it's not referred in the announcement. Moving to the NEW state so it will be cleared from Changes list.

Comment 6 Ben Cotton 2018-08-10 12:17:07 UTC
No activity on this bug or the change page since 2013. Will create a new isssue if the change page is revived.

Comment 7 Adam Williamson 2018-08-10 16:27:17 UTC
Thin partitioning was implemented years ago (I think in the release after, or the next one).


Note You need to log in before you can comment on or make changes to this bug.